package com.qmth.distributed.print.business.bean.flow.link;

import com.qmth.distributed.print.business.bean.flow.CustomFlowDto;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程节点链表元素
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/26
 */
public class FlowTaskNode implements Serializable {

    @ApiModelProperty(name = "节点")
    CustomFlowDto task;

    @ApiModelProperty(name = "上一个节点")
    FlowTaskNode next;

    @ApiModelProperty(name = "下一个节点")
    FlowTaskNode before;

    public FlowTaskNode() {

    }

    public FlowTaskNode(CustomFlowDto task) {
        this.task = task;
    }

    public FlowTaskNode(CustomFlowDto task, FlowTaskNode next) {
        this.task = task;
        this.next = next;
    }

    public FlowTaskNode(CustomFlowDto task, FlowTaskNode next, FlowTaskNode before) {
        this.task = task;
        this.next = next;
        this.before = before;
    }

    public CustomFlowDto getTask() {
        return task;
    }

    public void setTask(CustomFlowDto task) {
        this.task = task;
    }

    public FlowTaskNode getNext() {
        return next;
    }

    public void setNext(FlowTaskNode next) {
        this.next = next;
    }

    public FlowTaskNode getBefore() {
        return before;
    }

    public void setBefore(FlowTaskNode before) {
        this.before = before;
    }
}
